Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.media.sound
Class AudioFileSoundbankReader

    java.lang.Object
      javax.sound.midi.spi.SoundbankReader
          com.sun.media.sound.AudioFileSoundbankReader

    public class AudioFileSoundbankReader

extends javax.sound.midi.spi.SoundbankReader

Soundbank reader that uses audio files as soundbanks.

Author:
  Karl Helgason

Constructor Summary
`AudioFileSoundbankReader()`

Method Summary
`javax.sound.midi.Soundbank` | `getSoundbank(javax.sound.sampled.AudioInputStream ais)`
`javax.sound.midi.Soundbank` | `getSoundbank(java.io.File file)`
`javax.sound.midi.Soundbank` | `getSoundbank(java.io.InputStream stream)`
`javax.sound.midi.Soundbank` | `getSoundbank(java.net.URL url)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AudioFileSoundbankReader

    public AudioFileSoundbankReader()

Method Detail

### getSoundbank

    public javax.sound.midi.Soundbank getSoundbank(java.net.URL url)
                                            throws javax.sound.midi.InvalidMidiDataException,
                                                   java.io.IOException

  Specified by:
    `getSoundbank` in class `javax.sound.midi.spi.SoundbankReader`
  Throws:
    `javax.sound.midi.InvalidMidiDataException`
    `java.io.IOException`

### getSoundbank

    public javax.sound.midi.Soundbank getSoundbank(java.io.InputStream stream)
                                            throws javax.sound.midi.InvalidMidiDataException,
                                                   java.io.IOException

  Specified by:
    `getSoundbank` in class `javax.sound.midi.spi.SoundbankReader`
  Throws:
    `javax.sound.midi.InvalidMidiDataException`
    `java.io.IOException`

### getSoundbank

    public javax.sound.midi.Soundbank getSoundbank(javax.sound.sampled.AudioInputStream ais)
                                            throws javax.sound.midi.InvalidMidiDataException,
                                                   java.io.IOException

  Throws:
    `javax.sound.midi.InvalidMidiDataException`
    `java.io.IOException`

### getSoundbank

    public javax.sound.midi.Soundbank getSoundbank(java.io.File file)
                                            throws javax.sound.midi.InvalidMidiDataException,
                                                   java.io.IOException

  Specified by:
    `getSoundbank` in class `javax.sound.midi.spi.SoundbankReader`
  Throws:
    `javax.sound.midi.InvalidMidiDataException`
    `java.io.IOException`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD